#
# spec file for package nagios-plugins-snmp (Version 0.4)
#
#

# norootforbuild


Name:           nagios-plugins-snmp
Summary:        Nagios plugin collection for snmp devices
Version:        0.17
Release:        1.1
Url:            http://download.obs.j0ke.net/
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	check_cpu
Source1:	check_mem_lancom
Source2:	check_snmp_apc_pdu
Source3:	check_snmp_apc_pdu.py
Source4:	check_snmp_cisco_memutil
Source5:	check_snmp_env.pl
Source6:	check_snmp_int.pl
Source7:	check_snmp_load.pl
Source8:	check_snmp_mem.pl
Source9:	check_messpc
Source10:	check_snmp_disk
Source11:	check_snmp_klima
Source12:	check_snmp_brocade200E
Source13:	check_snmp_dell_cmc
Source14:	check_esx3
Source15:	check_esx_gw
Source16:	check_px5XX_new.pl
Source17:	check_msa_hardware.pl
Source18:	check_ups_apc.pl
Source20:	LANCOM-MIB.txt
Source21:	POWERNET408.txt
Source22:	check_adic.pl
Source23:	check_dell_powerconnect.pl
Source24:	check_bgp.pl
Source25:	check_ospf.pl
Source26:	check_fortigate.pl
Source27:	fortigate_commands.cfg
Source28:	check_snmp_brocade_health
Source29:	check_fortigate_vpn.pl

Requires:	perl-Net-SNMP
Requires:	perl-List-Compare
Requires:	php-snmp php
AutoReqProv:	off
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
This is a nagios plugin collection for devices using snmp.

Supported devices are:
 - CISCO switches & routers
 - HP switches
 - APC powerswitches
 - RMS200 Sensor 
 - DELL M1000e Blade Chassis
 - HP MSA Storage
 - Quantum PX5xx Tape Libarary
 - VMware ESX 3.x

%prep

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%{libexecdir}/check_cpu
install    -m755 %{SOURCE1} %buildroot/%{libexecdir}/check_mem_lancom
install    -m755 %{SOURCE2} %buildroot/%{libexecdir}/check_snmp_apc_pdu
install    -m755 %{SOURCE3} %buildroot/%{libexecdir}/check_snmp_apc_pdu.py
install    -m755 %{SOURCE4} %buildroot/%{libexecdir}/check_snmp_cisco_memutil
install    -m755 %{SOURCE5} %buildroot/%{libexecdir}/check_snmp_env.pl
install    -m755 %{SOURCE6} %buildroot/%{libexecdir}/check_snmp_int.pl
install    -m755 %{SOURCE7} %buildroot/%{libexecdir}/check_snmp_load.pl
install    -m755 %{SOURCE8} %buildroot/%{libexecdir}/check_snmp_mem.pl
install    -m755 %{SOURCE9} %{buildroot}/%{libexecdir}/check_messpc
install    -m755 %{SOURCE10} %{buildroot}/%{libexecdir}/check_snmp_disk
install    -m755 %{SOURCE11} %{buildroot}/%{libexecdir}/check_snmp_klima
install    -m755 %{SOURCE12} %{buildroot}/%{libexecdir}/check_snmp_brocade200E
install	   -m755 %{SOURCE13} %{buildroot}/%{libexecdir}/check_snmp_dell_cmc
install    -m755 %{SOURCE14} %{buildroot}/%{libexecdir}/check_esx3
install    -m755 %{SOURCE15} %{buildroot}/%{libexecdir}/check_esx_gw
install    -m755 %{SOURCE16} %{buildroot}/%{libexecdir}/check_px5XX_new.pl
install    -m755 %{SOURCE17} %{buildroot}/%{libexecdir}/check_msa_hardware.pl
install	   -m755 %{SOURCE18} %{buildroot}/%{libexecdir}/check_ups_apc.pl
install    -m755 %{SOURCE22} %{buildroot}/%{libexecdir}/check_adic.pl
install    -m755 %{SOURCE23} %{buildroot}/%{libexecdir}/check_dell_powerconnect.pl
install	   -m755 %{SOURCE24} %{buildroot}/%{libexecdir}/check_bgp.pl
install    -m755 %{SOURCE25} %{buildroot}/%{libexecdir}/check_ospf.pl
install    -m755 %{SOURCE26} %{buildroot}/%{libexecdir}/check_fortigate.pl
install -D -m644 %{SOURCE27} %{buildroot}%{_sysconfdir}/nagios/fortigate_commands.cfg
install    -m755 %{SOURCE28} %{buildroot}/%{libexecdir}/check_snmp_brocade_health
install    -m755 %{SOURCE29} %{buildroot}/%{libexecdir}/check_fortigate_vpn.pl

install -D -m755 %{SOURCE20} %{buildroot}%{_datadir}/snmp/mibs/LANCOM-MIB.txt
install    -m755 %{SOURCE21} %{buildroot}%{_datadir}/snmp/mibs/POWERNET408.txt

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %{libexecdir}
%{libexecdir}/*
%dir %{_datadir}/snmp
%dir %{_datadir}/snmp/mibs
%{_datadir}/snmp/mibs/LANCOM-MIB.txt
%{_datadir}/snmp/mibs/POWERNET408.txt
%dir %{_sysconfdir}/nagios
%{_sysconfdir}/nagios/fortigate_commands.cfg

%changelog
* Tue Apr 10 2018 cs@linux-administrator.com
- added check_fortigate_vpn.pl
* Fri Oct 28 2016 cs@linux-administrator.com
- implemented timeout parameter to check_snmp_apc_pdu.py
* Mon Feb  2 2015 cs@linux-administrator.com
- updated check_snmp_brocade_health
* Sun Feb  1 2015 cs@linux-administrator.com
- added check_snmp_brocade_health
* Mon Nov 24 2014 cs@linux-administrator.com
- added check_fortigate.pl
* Mon Nov  3 2014 cs@linux-administrator.com
- added check_ospf.pl
* Tue Oct 28 2014 cs@linux-administrator.com
- added check_bgp.pl
* Fri Oct 18 2013 cs@linux-administrator.com
- added check_dell_powerconnect.pl
* Fri Oct 18 2013 cs@linux-administrator.com
- update check_snmp_apc_pdu.py to work with AP7953 & AP8953 Rack PDUs
* Tue Oct  8 2013 cs@linux-administrator.com
- update check_snmp_brocade200E (support Brocade300 & update for php 5.3)
* Wed Aug 21 2013 cs@linux-administrator.com
- added check_adic.pl (supports DELL PowerVault ML6000)
* Fri Jun 28 2013 cs@linux-administrator.com
- drop check_equallogic (has it's own package)
- added check_ups_apc.pl
- updated PowerNet MIB to version 4.08
